<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_target_create_params_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_target_create_params_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__target.html">Target APIs</a>]</small>
</h1><!-- doxytag: class="tivx_target_create_params_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Parameters that can be set during target creation. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint8_t *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__create__params__t.html#aa70966b5cb0b06cb2cdcab416947c620">task_stack_ptr</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer to task stack, if NULL then task stack is allcoated by OS and not supplied by user.  <a href="#aa70966b5cb0b06cb2cdcab416947c620"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__create__params__t.html#ae4f3b5f7be903e06c06db219617bd66c">task_stack_size</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Task stack size, if 0, OS allocates stack with default size.  <a href="#ae4f3b5f7be903e06c06db219617bd66c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__create__params__t.html#a2ef1017e639dfb054099bf2b78fe822e">task_core_affinity</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">If task runs on a SMP CPU then this value tells the affinity of task to a given core, Valid values are 0 .. max cores in the SMP CPU. when TIVX_TASK_AFFINITY_ANY is used OS decides the task affinity.  <a href="#a2ef1017e639dfb054099bf2b78fe822e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__create__params__t.html#a802ec4560176934da733f52e498ccd58">task_priority</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">task priority for task associated with this target TIVX_TASK_PRI_HIGHEST is highest priority, TIVX_TASK_PRI_LOWEST is lowest priority  <a href="#a802ec4560176934da733f52e498ccd58"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="aa70966b5cb0b06cb2cdcab416947c620"></a><!-- doxytag: member="tivx_target_create_params_t::task_stack_ptr" ref="aa70966b5cb0b06cb2cdcab416947c620" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t* <a class="el" href="structtivx__target__create__params__t.html#aa70966b5cb0b06cb2cdcab416947c620">tivx_target_create_params_t::task_stack_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pointer to task stack, if NULL then task stack is allcoated by OS and not supplied by user. </p>

</div>
</div>
<a class="anchor" id="ae4f3b5f7be903e06c06db219617bd66c"></a><!-- doxytag: member="tivx_target_create_params_t::task_stack_size" ref="ae4f3b5f7be903e06c06db219617bd66c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__target__create__params__t.html#ae4f3b5f7be903e06c06db219617bd66c">tivx_target_create_params_t::task_stack_size</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Task stack size, if 0, OS allocates stack with default size. </p>

</div>
</div>
<a class="anchor" id="a2ef1017e639dfb054099bf2b78fe822e"></a><!-- doxytag: member="tivx_target_create_params_t::task_core_affinity" ref="a2ef1017e639dfb054099bf2b78fe822e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__target__create__params__t.html#a2ef1017e639dfb054099bf2b78fe822e">tivx_target_create_params_t::task_core_affinity</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>If task runs on a SMP CPU then this value tells the affinity of task to a given core, Valid values are 0 .. max cores in the SMP CPU. when TIVX_TASK_AFFINITY_ANY is used OS decides the task affinity. </p>

</div>
</div>
<a class="anchor" id="a802ec4560176934da733f52e498ccd58"></a><!-- doxytag: member="tivx_target_create_params_t::task_priority" ref="a802ec4560176934da733f52e498ccd58" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__target__create__params__t.html#a802ec4560176934da733f52e498ccd58">tivx_target_create_params_t::task_priority</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>task priority for task associated with this target TIVX_TASK_PRI_HIGHEST is highest priority, TIVX_TASK_PRI_LOWEST is lowest priority </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
